#
# spec file for package enlightenment (Version 0.16.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel fnlib freetype glib glib-devel imlib imlib-devel libghttp libghttp-devel libjpeg libpng libtiff libungif xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex fnlib freetype gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gzip imlib imlib-devel kbd less libghttp libghttp-devel libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         enlightenment
Copyright:    GPL
Group:        X11/Window Managers
Provides:     windowmanager
Obsoletes:    enlight
Requires:     imlib fnlib esound
Autoreqprov:  on
Summary:      The Enlightenment windowmanager
URL:          http://www.enlightenment.org
Version:      0.16.5
Release:      216
Source:       ftp://ftp.enlightenment.org/pub/enlightenment/enlightenment/enlightenment-%{version}.tar.bz2
Source1:      enlightenment-koreanpack.tar.gz
Patch:	      ghttp.dif
BuildRoot:    /var/tmp/enlightenment-root

%description
Enlightenment is a window manager for the X Window System that
is designed to be powerful, extensible, configurable and
pretty darned good looking! It is one of the more graphically
intense window managers.
Enlightenment goes beyond managing windows by providing a useful
and appealing graphical shell from which to work. It is open
in design and instead of dictating a policy, allows the user to
define their own policy, down to every last detail.

Authors:
--------
    Carsten Haitzler <raster@rasterman.com>
    Geoff Harrison <mandrake@lobotomy.com>

SuSE series: xwm

%prep
%setup -n enlightenment-%{version} 
%patch

%build
%define prefix /usr/X11R6
CFLAGS="$RPM_OPT_FLAGS -L/opt/gnome/lib -I/opt/gnome/include"
./configure --prefix=%{prefix} \
  --enable-fsstd \
  --enable-sound
make CFLAGS="$RPM_OPT_FLAGS -L/opt/gnome/lib -I/opt/gnome/include"

%install
make prefix=$RPM_BUILD_ROOT%{prefix} \
     localedir=$RPM_BUILD_ROOT%{prefix}/share/locale \
     gnulocaledir=$RPM_BUILD_ROOT%{prefix}/share/locale \
     install
# KOREAN PACK................................................................
( cd $RPM_BUILD_ROOT; tar xvfz %{SOURCE1} )

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc %{prefix}/man/man1/*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{prefix}/share/enlightenment/*
%{prefix}/bin/*
%{prefix}/share/locale/*/LC_MESSAGES/enlightenment.mo

%changelog -n enlightenment
* Mon Feb 19 2001 - ro@suse.de
- changed neededforbuild <libghtt> to <libghttp>
- changed neededforbuild <libghtt-devel> to <libghttp-devel>
* Fri Jan 26 2001 - violiet@suse.de
- Added korean-pack package support for Korean.
- Install international message.
* Fri Dec 29 2000 - egger@suse.de
- Fixed bug 5049 by including esound-devel.
- Use SuSE optimisation flags.
- General specfile cleanup.
* Sun Nov 05 2000 - ro@suse.de
- fixed neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sun Oct 01 2000 - egger@suse.de
- Cleaned up specfile.
- Removed unnecessary ImageMagick dependency.
- Updated to version 0.16.5.
* Mon May 15 2000 - egger@suse.de
- Updated to version 0.16.4.
* Sat Mar 04 2000 - ro@suse.de
- try to avoid specfile bug
* Tue Feb 29 2000 - grimmer@suse.de
- Update to 0.16.3 (#2026)
- reworked spec file (BuildRoot, group tag, version macro, URL)
- now uses sane path names (--enable-fsstd)
- enabled sound
- removed obsolete patches and profile script
* Fri Jan 21 2000 - ro@suse.de
- freetype is in /usr/include/freetype now
* Tue Oct 12 1999 - grimmer@suse.de
- Updated to 0.16.0
- Specfile cleanups, created more symlinks for binaries
- Added Authors to PAC file and rewrote package descriptions
* Mon Sep 20 1999 - ro@suse.de
- added Provides windowmanager
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Thu Jul 01 1999 - uli@suse.de
- changed refs to libgif to libungif
* Tue May 04 1999 - mb@suse.de
- updated to version 0.15.5 using autospec
* Fri Feb 19 1999 - 
- updated to version 0.14
* Thu Oct 29 1998 - ro@suse.de
- updated neededforbuild
* Sat Jul 18 1998 - mb@suse.de
- this is the SNAP release of the enlightenment window manager
- version 0.14
- the manager has been completely redesigned
* Wed Nov 05 1997 - kgw@suse.de
  first SuSE version, ready for autobuild.
